Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class ProxyInformation

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.ProxyInformation

public class ProxyInformation
extends java.lang.Object

Class containing Proxy information such as proxy host, proxy port and the URLProvider uses this information for extracting cookies from login URL and URLRenderer for getting URL content from page URL.

See Also:
  `URLProvider`

Constructor Summary
`ProxyInformation()`

Method Summary
`java.lang.String` | `getHttpProxyHost()` Get method for httpProxyHost tag in provider.xml
`int` | `getHttpProxyPort()` Get method for httpProxyPort tag in provider.xml
`java.lang.String` | `getHttpsProxyHost()` Get method for httpsProxyHost tag in provider.xml
`int` | `getHttpsProxyPort()` Get method for httpsProxyPort tag in provider.xml
`java.lang.String` | `getProxyPassword()` Returns the authorized proxy user's password
`java.lang.String` | `getProxyRealm()` Returns the server specific realm for this user.
`java.lang.String` | `getProxyUser()` Returns the authorized proxy user name
`void` | `setHttpProxyHost(java.lang.String proxyHost)` Set method for httpProxyHost tag in provider.xml
`void` | `setHttpProxyPort(java.lang.String proxyPort)` Set method for httpProxyPort tag in provider.xml
`void` | `setHttpsProxyHost(java.lang.String proxyHost)` Set method for httpsProxyHost tag in provider.xml
`void` | `setHttpsProxyPort(java.lang.String proxyPort)` Set method for httpsProxyPort tag in provider.xml
`void` | `setProxyPassword(java.lang.String proxyPassword)` Sets the proxy user's password.
`void` | `setProxyRealm(java.lang.String proxyRealm)` Sets the proxy realm.
`void` | `setProxyUser(java.lang.String proxyUser)` Sets the proxy user name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyInformation

    public ProxyInformation()

Method Detail

### getHttpProxyHost

    public java.lang.String getHttpProxyHost()

  Get method for httpProxyHost tag in provider.xml
  Returns:
    proxyHost proxy host to be used in HTTP connections.

### getHttpsProxyHost

    public java.lang.String getHttpsProxyHost()

  Get method for httpsProxyHost tag in provider.xml
  Returns:
    proxyHost to be used in Https connections.

### setHttpProxyHost

    public void setHttpProxyHost(java.lang.String proxyHost)

  Set method for httpProxyHost tag in provider.xml
  Parameters:
    `proxyHost` - proxyHost to be used in Http connections.

### setHttpsProxyHost

    public void setHttpsProxyHost(java.lang.String proxyHost)

  Set method for httpsProxyHost tag in provider.xml
  Parameters:
    `proxyHost` - proxyHost to be used in Https connections.

### getHttpProxyPort

    public int getHttpProxyPort()

  Get method for httpProxyPort tag in provider.xml
  Returns:
    value of proxyPort tag.

### setHttpProxyPort

    public void setHttpProxyPort(java.lang.String proxyPort)

  Set method for httpProxyPort tag in provider.xml
  Parameters:
    `proxyPort` - value of proxyPort tag.

### getHttpsProxyPort

    public int getHttpsProxyPort()

  Get method for httpsProxyPort tag in provider.xml
  Returns:
    value of httpsProxyPort tag.

### setHttpsProxyPort

    public void setHttpsProxyPort(java.lang.String proxyPort)

  Set method for httpsProxyPort tag in provider.xml
  Parameters:
    `proxyPort` - proxy port to be used in Https connections.

### setProxyUser

    public void setProxyUser(java.lang.String proxyUser)

  Sets the proxy user name. Will be useful in situation where user has to get authenticated at proxy level also.
  Parameters:
    `proxyUser` - Authorized user name for this proxy.

### getProxyUser

    public java.lang.String getProxyUser()

  Returns the authorized proxy user name
  Returns:
    String proxy user name.

### setProxyPassword

    public void setProxyPassword(java.lang.String proxyPassword)

  Sets the proxy user's password. Will be useful in situation where user has to get authenticated at proxy level also.
  Parameters:
    `proxyPassword` - Password for authorized user for this proxy.

### getProxyPassword

    public java.lang.String getProxyPassword()

  Returns the authorized proxy user's password
  Returns:
    String Proxy user's password.

### setProxyRealm

    public void setProxyRealm(java.lang.String proxyRealm)

  Sets the proxy realm. Will be useful in situation where user has to get authenticated at proxy level also.
  Parameters:
    `proxyRealm` - Realm of the proxy.

    The realm is server specified string which groups various URLs under a given server together and which is used to select the correct info when a server issues an auth challenge.

### getProxyRealm

    public java.lang.String getProxyRealm()

  Returns the server specific realm for this user.
  Returns:
    realm proxy realm.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD